tbb::bad_last_alloc Class Reference

Exception for concurrent containers. More...

`#include <tbb_exception.h>`

Inheritance diagram for tbb::bad_last_alloc:
Collaboration diagram for tbb::bad_last_alloc:

## Public Member Functions

const char * | what () const __TBB_override throw ()

## Detailed Description

Exception for concurrent containers.

Definition at line 31 of file tbb_exception.h.

## Member Function Documentation

## what()

const char * tbb::bad_last_alloc::what | ( |  | ) | const
throw | ( |
| ) |  |

Definition at line 51 of file tbb_misc.cpp.

{ return "bad allocation in previous or concurrent attempt"; }

The documentation for this class was generated from the following files:

- tbb_exception.h
- tbb_misc.cpp

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.